SDL-mixer-0.6.3.0: Binding to libSDL_mixer

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Mixer.Types

Description

# Documentation

data ChunkStruct Source #

type Chunk = ForeignPtr ChunkStruct Source #

data MusicStruct Source #

type Music = ForeignPtr MusicStruct Source #

type Channel = Int Source #

data MusicType Source #

Constructors

MusicNone |
MusicCmd |
MusicWav |
MusicMod |
MusicMid |
MusicOgg |
MusicMp3 |

Instances

Bounded MusicType Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods minBound :: MusicType Source # maxBound :: MusicType Source #
Enum MusicType Source # |

Instance details

Defined in Graphics.UI.SDL.Mixer.Types

Methods

succ :: MusicType -> MusicType Source #

pred :: MusicType -> MusicType Source #

toEnum :: Int -> MusicType Source #

fromEnum :: MusicType -> Int Source #

enumFrom :: MusicType -> [MusicType] Source #

enumFromThen :: MusicType -> MusicType -> [MusicType] Source #

enumFromTo :: MusicType -> MusicType -> [MusicType] Source #

enumFromThenTo :: MusicType -> MusicType -> MusicType -> [MusicType] Source #

Eq MusicType Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods (==) :: MusicType -> MusicType -> Bool Source # (/=) :: MusicType -> MusicType -> Bool Source #
Ord MusicType Source # |

Instance details

Defined in Graphics.UI.SDL.Mixer.Types

Methods

compare :: MusicType -> MusicType -> Ordering Source #

(<) :: MusicType -> MusicType -> Bool Source #

(<=) :: MusicType -> MusicType -> Bool Source #

(>) :: MusicType -> MusicType -> Bool Source #

(>=) :: MusicType -> MusicType -> Bool Source #

max :: MusicType -> MusicType -> MusicType Source #

min :: MusicType -> MusicType -> MusicType Source #

Show MusicType Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods showsPrec :: Int -> MusicType -> ShowS Source # show :: MusicType -> String Source # showList :: [MusicType] -> ShowS Source #

data Fading Source #

Constructors

NoFading |
FadingOut |
FadingIn |

Instances

Bounded Fading Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods minBound :: Fading Source # maxBound :: Fading Source #
Enum Fading Source # |

Instance details

Defined in Graphics.UI.SDL.Mixer.Types

Methods

succ :: Fading -> Fading Source #

pred :: Fading -> Fading Source #

toEnum :: Int -> Fading Source #

fromEnum :: Fading -> Int Source #

enumFrom :: Fading -> [Fading] Source #

enumFromThen :: Fading -> Fading -> [Fading] Source #

enumFromTo :: Fading -> Fading -> [Fading] Source #

enumFromThenTo :: Fading -> Fading -> Fading -> [Fading] Source #

Eq Fading Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods (==) :: Fading -> Fading -> Bool Source # (/=) :: Fading -> Fading -> Bool Source #
Ord Fading Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods compare :: Fading -> Fading -> Ordering Source # (<) :: Fading -> Fading -> Bool Source # (<=) :: Fading -> Fading -> Bool Source # (>) :: Fading -> Fading -> Bool Source # (>=) :: Fading -> Fading -> Bool Source # max :: Fading -> Fading -> Fading Source # min :: Fading -> Fading -> Fading Source #
Show Fading Source # |
Instance details Defined in Graphics.UI.SDL.Mixer.Types Methods showsPrec :: Int -> Fading -> ShowS Source # show :: Fading -> String Source # showList :: [Fading] -> ShowS Source #